aboutsummaryrefslogtreecommitdiff
path: root/tools/cpt-remove
diff options
context:
space:
mode:
Diffstat (limited to 'tools/cpt-remove')
-rwxr-xr-xtools/cpt-remove31
1 files changed, 31 insertions, 0 deletions
diff --git a/tools/cpt-remove b/tools/cpt-remove
new file mode 100755
index 0000000..0263e4e
--- /dev/null
+++ b/tools/cpt-remove
@@ -0,0 +1,31 @@
+#!/bin/sh -ef
+
+# shellcheck disable=1091
+if command -v cpt-lib >/dev/null; then . cpt-lib; else . ../lib.sh; fi
+
+while [ "$1" ]; do
+ case "$1" in
+ --help|-h)
+ out "usage: ${0##*/} [options] [pkg...]" "" \
+ " Options:" \
+ " --force Force Removal" \
+ " --root [rootdir] Use an alternate root directory"
+ exit 1
+ ;;
+ --version|-v) version ;;
+ --force) export CPT_FORCE=1; shift ;;
+ --root) export CPT_ROOT=$2; shift 2 ;;
+ --) break ;;
+ -*) die "Unknown argument '$1'" ;;
+ '') set -- "${PWD##*/}"; export CPT_PATH=${PWD%/*}:$CPT_PATH ;;
+ *) break ;;
+ esac
+done
+
+[ -w "$CPT_ROOT/" ] || [ "$uid" = 0 ] || {
+ as_root "$0" "$@"
+ exit $?
+}
+
+pkg_order "$@"
+for pkg in $redro; do pkg_remove "$pkg" "${CPT_FORCE:-check}"; done